blfwk::DataPacket::DataProducer Class Referenceabstract

Abstract class to provide data for data phase. More...

`#include <Command.h>`

Inheritance diagram for blfwk::DataPacket::DataProducer:
[legend]

## Public Member Functions

virtual bool | hasMoreData () const =0
| Query if more data is available.
virtual uint32_t | getDataSize () const =0
| Query the total size of the data.
virtual uint32_t | getData (uint8_t *data, uint32_t size)=0
| Get the next data chunk. More...

## Detailed Description

Abstract class to provide data for data phase.

## Member Function Documentation

virtual uint32_t blfwk::DataPacket::DataProducer::getData | ( | uint8_t * | data,
|  | uint32_t | size
| ) |  |

pure virtual

Get the next data chunk.

Before calling getData(), call hasMoreData() to determine if data is available.

Implemented in blfwk::DataPacket::SegmentDataProducer, blfwk::DataPacket::HexDataProducer, and blfwk::DataPacket::FileDataProducer.

The documentation for this class was generated from the following file:

- Command.h